import React from 'react';
import { IconsData } from '../hooks/useGithubAutomatedRepos';
/**
 * @param {string} itemTopics - Mandatory: ex.: item.topics.map(topics)...
 * @param {string} className - Optional: style className.
 * @returns {<img/>} - Return tag img, project svg icon.
 */
export function ProjectIcons({ itemTopics, className }) {
    const { projectIcons } = IconsData();
    return (React.createElement("div", null, projectIcons[itemTopics] ? (React.createElement("img", { className: className, alt: projectIcons[itemTopics], src: projectIcons[itemTopics] })) : (React.createElement(React.Fragment, null, " "))));
}
