import React from 'react';
import { IconsData } from '../../hooks/useGithubAutomatedRepos';
import { css } from './styles.js';
/**
 * @param {string} itemTopics - Mandatory: ex.: item.topics.map(itemTopics)...
 * @param {string} className - Optional: style className.
 * @returns {<p/>} - Return tag p, stack text.
 */
export function StackLabels({ itemTopics, className = 'styleStackLabels' }) {
    const { projectIcons, stackIcons } = IconsData();
    if (projectIcons[itemTopics]) {
        return React.createElement(React.Fragment, null, " ");
    }
    if (stackIcons[itemTopics]) {
        return (React.createElement(React.Fragment, null,
            React.createElement("style", null, css),
            React.createElement("p", { className: className }, itemTopics)));
    }
}
