export interface IGithubRepos {
    name: string;
    topics: string[];
    html_url: string;
    description: string;
    id: number;
    homepage: string;
}
/**
 * @param {string} usernameGitHub - Insert your username GitHub Ex.: https://github.com/USERNAME
 * @param {string} keyWordDeploy - Insert a keyword chosen by you. - This key is responsible for managing your projects on GitHub in topics field Ex.: https://github.com/DIGOARTHUR/github-automated-repos#--about-library-.
 * @returns {(IGithubRepos[])} - Returns an array with the properties: name, topics, html_url, description, id, homepage.
 */
export declare function useGitHubAutomatedRepos(usernameGitHub: string, keyWordDeploy: string): {
    id: number;
    name: string;
    html_url: string;
    description: string;
    topics: string[];
    homepage: string;
    banner: string;
}[];
export declare function IconsData(): {
    stackIcons: {
        androidstudio: string;
        angular: string;
        arduino: string;
        aws: string;
        babel: string;
        bash: string;
        bitbucket: string;
        blender: string;
        bootstrap: string;
        c: string;
        canva: string;
        clion: string;
        cpp: string;
        csharp: string;
        css3: string;
        dart: string;
        denojs: string;
        django: string;
        docker: string;
        dotnetcore: string;
        eclipse: string;
        elixir: string;
        eslint: string;
        expo: string;
        express: string;
        figma: string;
        firebase: string;
        flask: string;
        flutter: string;
        gatsby: string;
        gimp: string;
        git: string;
        go: string;
        googlecloud: string;
        graphql: string;
        grunt: string;
        gulpjs: string;
        haskell: string;
        heroku: string;
        html5: string;
        husky: string;
        inkscape: string;
        java: string;
        javascript: string;
        jenkins: string;
        jest: string;
        jira: string;
        jquery: string;
        jupyter: string;
        kotlin: string;
        kubernetes: string;
        laravel: string;
        linux: string;
        lua: string;
        markdown: string;
        materialui: string;
        mongodb: string;
        mysql: string;
        nestjs: string;
        netcore: string;
        nextjs: string;
        nodejs: string;
        npm: string;
        objectc: string;
        pearl: string;
        php: string;
        postgresql: string;
        prettier: string;
        prisma: string;
        pycharm: string;
        python: string;
        r: string;
        rails: string;
        raspberrypi: string;
        react: string;
        reacticons: string;
        redux: string;
        ruby: string;
        rust: string;
        salesforce: string;
        sass: string;
        scala: string;
        sequelize: string;
        spring: string;
        sqlite: string;
        storybook: string;
        styledcomponents: string;
        swagger: string;
        switch: string;
        tailwind: string;
        typescript: string;
        visualstudio: string;
        visualstudiocode: string;
        vitejs: string;
        vuejs: string;
        yarn: string;
    };
    projectIcons: {
        art: string;
        artificialintelligence: string;
        dashboard: string;
        education: string;
        game: string;
        landingpage: string;
        personalwebsite: string;
        productivity: string;
        security: string;
        store: string;
    };
    IconsData: typeof IconsData;
};
